Skip to main content
GET
/
tds
/
compliance
/
fvu
/
generate
Fetch FVU Generation Status
curl --request GET \
  --url https://test-api.sandbox.co.in/tds/compliance/fvu/generate \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://test-api.sandbox.co.in/tds/compliance/fvu/generate"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://test-api.sandbox.co.in/tds/compliance/fvu/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1763362637000,
  "transaction_id": "e2b9145f-69d5-4bbe-a6de-be6fc08b426f",
  "data": {
    "@entity": "in.co.sandbox.tds.compliance.fvu.generate.job",
    "job_id": "4ef92975-aea8-4628-9eaa-18eb439c13d9",
    "tan": "AHMA09719B",
    "tax_year": "TY 2026-27",
    "quarter": "Q3",
    "form": "138",
    "filing_type": "regular",
    "status": "succeeded",
    "created_at": 1763362637000,
    "updated_at": 1763362637000,
    "fvu_zip_file_url": "https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/140/4049c226-4988-4978-b5ad-d25705453da8/140.zip"
  }
}

Headers

authorization
string
required

JWT authorization token

x-api-key
string
required

Public key required to authorize API access.

x-api-version
string

Query Parameters

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object